rails 3.0.0.beta3 → 3.0.0.beta4

Sign up to get free protection for your applications and to get access to all the features.
Files changed (2) hide show
  1. data/bin/rails +7 -1
  2. metadata +39 -20
data/bin/rails CHANGED
@@ -1 +1,7 @@
1
- require 'rails/cli'
1
+ begin
2
+ require "rails/cli"
3
+ rescue LoadError
4
+ railties_path = File.expand_path('../../railties/lib', __FILE__)
5
+ $:.unshift(railties_path)
6
+ require "rails/cli"
7
+ end
metadata CHANGED
@@ -1,13 +1,14 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: rails
3
3
  version: !ruby/object:Gem::Version
4
+ hash: -1848230024
4
5
  prerelease: true
5
6
  segments:
6
7
  - 3
7
8
  - 0
8
9
  - 0
9
- - beta3
10
- version: 3.0.0.beta3
10
+ - beta4
11
+ version: 3.0.0.beta4
11
12
  platform: ruby
12
13
  authors:
13
14
  - David Heinemeier Hansson
@@ -15,111 +16,125 @@ autorequire:
15
16
  bindir: bin
16
17
  cert_chain: []
17
18
 
18
- date: 2010-04-13 00:00:00 -07:00
19
+ date: 2010-06-08 00:00:00 -04:00
19
20
  default_executable: rails
20
21
  dependencies:
21
22
  - !ruby/object:Gem::Dependency
22
23
  name: activesupport
23
24
  prerelease: false
24
25
  requirement: &id001 !ruby/object:Gem::Requirement
26
+ none: false
25
27
  requirements:
26
28
  - - "="
27
29
  - !ruby/object:Gem::Version
30
+ hash: -1848230024
28
31
  segments:
29
32
  - 3
30
33
  - 0
31
34
  - 0
32
- - beta3
33
- version: 3.0.0.beta3
35
+ - beta4
36
+ version: 3.0.0.beta4
34
37
  type: :runtime
35
38
  version_requirements: *id001
36
39
  - !ruby/object:Gem::Dependency
37
40
  name: actionpack
38
41
  prerelease: false
39
42
  requirement: &id002 !ruby/object:Gem::Requirement
43
+ none: false
40
44
  requirements:
41
45
  - - "="
42
46
  - !ruby/object:Gem::Version
47
+ hash: -1848230024
43
48
  segments:
44
49
  - 3
45
50
  - 0
46
51
  - 0
47
- - beta3
48
- version: 3.0.0.beta3
52
+ - beta4
53
+ version: 3.0.0.beta4
49
54
  type: :runtime
50
55
  version_requirements: *id002
51
56
  - !ruby/object:Gem::Dependency
52
57
  name: activerecord
53
58
  prerelease: false
54
59
  requirement: &id003 !ruby/object:Gem::Requirement
60
+ none: false
55
61
  requirements:
56
62
  - - "="
57
63
  - !ruby/object:Gem::Version
64
+ hash: -1848230024
58
65
  segments:
59
66
  - 3
60
67
  - 0
61
68
  - 0
62
- - beta3
63
- version: 3.0.0.beta3
69
+ - beta4
70
+ version: 3.0.0.beta4
64
71
  type: :runtime
65
72
  version_requirements: *id003
66
73
  - !ruby/object:Gem::Dependency
67
74
  name: activeresource
68
75
  prerelease: false
69
76
  requirement: &id004 !ruby/object:Gem::Requirement
77
+ none: false
70
78
  requirements:
71
79
  - - "="
72
80
  - !ruby/object:Gem::Version
81
+ hash: -1848230024
73
82
  segments:
74
83
  - 3
75
84
  - 0
76
85
  - 0
77
- - beta3
78
- version: 3.0.0.beta3
86
+ - beta4
87
+ version: 3.0.0.beta4
79
88
  type: :runtime
80
89
  version_requirements: *id004
81
90
  - !ruby/object:Gem::Dependency
82
91
  name: actionmailer
83
92
  prerelease: false
84
93
  requirement: &id005 !ruby/object:Gem::Requirement
94
+ none: false
85
95
  requirements:
86
96
  - - "="
87
97
  - !ruby/object:Gem::Version
98
+ hash: -1848230024
88
99
  segments:
89
100
  - 3
90
101
  - 0
91
102
  - 0
92
- - beta3
93
- version: 3.0.0.beta3
103
+ - beta4
104
+ version: 3.0.0.beta4
94
105
  type: :runtime
95
106
  version_requirements: *id005
96
107
  - !ruby/object:Gem::Dependency
97
108
  name: railties
98
109
  prerelease: false
99
110
  requirement: &id006 !ruby/object:Gem::Requirement
111
+ none: false
100
112
  requirements:
101
113
  - - "="
102
114
  - !ruby/object:Gem::Version
115
+ hash: -1848230024
103
116
  segments:
104
117
  - 3
105
118
  - 0
106
119
  - 0
107
- - beta3
108
- version: 3.0.0.beta3
120
+ - beta4
121
+ version: 3.0.0.beta4
109
122
  type: :runtime
110
123
  version_requirements: *id006
111
124
  - !ruby/object:Gem::Dependency
112
125
  name: bundler
113
126
  prerelease: false
114
127
  requirement: &id007 !ruby/object:Gem::Requirement
128
+ none: false
115
129
  requirements:
116
130
  - - ">="
117
131
  - !ruby/object:Gem::Version
132
+ hash: 15
118
133
  segments:
119
134
  - 0
120
135
  - 9
121
- - 19
122
- version: 0.9.19
136
+ - 26
137
+ version: 0.9.26
123
138
  type: :runtime
124
139
  version_requirements: *id007
125
140
  description: Ruby on Rails is a full-stack web framework optimized for programmer happiness and sustainable productivity. It encourages beautiful code by favoring convention over configuration.
@@ -130,8 +145,8 @@ extensions: []
130
145
 
131
146
  extra_rdoc_files: []
132
147
 
133
- files: []
134
-
148
+ files:
149
+ - bin/rails
135
150
  has_rdoc: true
136
151
  homepage: http://www.rubyonrails.org
137
152
  licenses: []
@@ -142,18 +157,22 @@ rdoc_options: []
142
157
  require_paths:
143
158
  - lib
144
159
  required_ruby_version: !ruby/object:Gem::Requirement
160
+ none: false
145
161
  requirements:
146
162
  - - ">="
147
163
  - !ruby/object:Gem::Version
164
+ hash: 57
148
165
  segments:
149
166
  - 1
150
167
  - 8
151
168
  - 7
152
169
  version: 1.8.7
153
170
  required_rubygems_version: !ruby/object:Gem::Requirement
171
+ none: false
154
172
  requirements:
155
173
  - - ">="
156
174
  - !ruby/object:Gem::Version
175
+ hash: 23
157
176
  segments:
158
177
  - 1
159
178
  - 3
@@ -162,7 +181,7 @@ required_rubygems_version: !ruby/object:Gem::Requirement
162
181
  requirements: []
163
182
 
164
183
  rubyforge_project: rails
165
- rubygems_version: 1.3.6
184
+ rubygems_version: 1.3.7
166
185
  signing_key:
167
186
  specification_version: 3
168
187
  summary: Full-stack web application framework.